IPython with --pylab=qt does not alow PyQt4 import

Bug #1695670 reported by Duc Le
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ipython (Ubuntu)
New
Undecided
Unassigned

Bug Description

To reproduce, run `ipython --pylab=qt` and then do `import PyQt4`

This should work, but there was a bug in the version included in Ubuntu 16.04 (<3.0) and previously which meant this import would fail. This is fixed in IPython 3.0 and newer (so should be fixed in Ubuntu 17.04).

The fix is here: https://github.com/ipython/ipython/commit/5f275fe135362d5b6cca79d004f8fa272eec24d2

Would be possible to include this as a patch release for 16.04 (`ipython 2.4.1-1`)?

The equivalent bug in Red Hat was reported here: https://bugzilla.redhat.com/show_bug.cgi?id=1219997

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers